
D4Science Infrastructure - Task #138

Task # 131 (Closed): Report the R Interpreter environment to reproduce on the Generic Worker nodes

Automate the installation of the R suite and its packages

May 22, 2015 11:26 PM - Andrea Dell'Amico

Status: Closed Start date: May 22, 2015

Priority: High Due date:  

Assignee: Andrea Dell'Amico % Done: 100%

Category: System Application Estimated time: 0.00 hour

Target version: System Configuration   

Infrastructure: Production   

Description

Create an ansible playbook that installs R and the listed packages on Ubuntu precise

Related issues:

Related to D4Science Infrastructure - Task #140: 36 new smartgears VMs are ne... Closed May 23, 2015

History

#1 - May 22, 2015 11:27 PM - Andrea Dell'Amico

The result is the following:

Package Version

abind "abind" "1.4-3"

bayesmix "bayesmix" "0.7-3"

coda "coda" "0.17-1"

R2jags "R2jags" "0.5-6"

R2WinBUGS "R2WinBUGS" "2.1-19"

rjags "rjags" "3-15"

runjags "runjags" "2.0.1-4"

abind "abind" "1.4-0"

coda "coda" "0.14-5"

maptools "maptools" "0.7-38"

rjags "rjags" "3-3"

sp "sp" "0.9-81"

base "base" "2.14.1"

boot "boot" "1.3-3"

class "class" "7.3-3"

cluster "cluster" "1.14.1"

codetools "codetools" "0.2-8"

compiler "compiler" "2.14.1"

datasets "datasets" "2.14.1"

foreign "foreign" "0.8-48"

graphics "graphics" "2.14.1"

grDevices "grDevices" "2.14.1"

grid "grid" "2.14.1"

KernSmooth "KernSmooth" "2.23-7"

lattice "lattice" "0.20-0"

MASS "MASS" "7.3-16"

Matrix "Matrix" "1.0-2"

methods "methods" "2.14.1"

mgcv "mgcv" "1.7-12"

nlme "nlme" "3.1-102"

nnet "nnet" "7.3-1"

parallel "parallel" "2.14.1"

rpart "rpart" "3.1-50"

spatial "spatial" "7.3-3"

splines "splines" "2.14.1"

stats "stats" "2.14.1"

stats4 "stats4" "2.14.1"

survival "survival" "2.36-10"

tcltk "tcltk" "2.14.1"

tools "tools" "2.14.1"

utils "utils" "2.14.1"

#2 - May 23, 2015 02:01 PM - Andrea Dell'Amico
- Status changed from New to In Progress

- % Done changed from 0 to 90

There's now a library playbook called 'R' that installs the base R packages and even additional packages.

The additional packages can be installed in two ways:

From the linux distribution repository

From the CRAN repository as binary files.

The default packages are the ones listed by Gianpaolo.

The ones installed as debian packages are:

r-cran-rjags,r-cran-abind,r-cran-boot,r-cran-class,r-cran-cluster,r-cran-coda,r-cran-codetools,r-cran-foreign,r-cran-lattice,r-cran-maptools,r-cran-mass,r

-cran-matrix,r-cran-mgcv,r-cran-nlme,r-cran-nnet,r-cran-rpart,r-cran-sp,r-cran-spatial,r-cran-survival

The ones installed directly from CRAN are: R2WinBUGS, R2jags, bayesmix, runjags

All the other packages in the Gianpaolo's list are part of the base R distribution.

#3 - May 23, 2015 02:10 PM - Andrea Dell'Amico

- Related to Task #140: 36 new smartgears VMs are needed added

#4 - May 23, 2015 02:55 PM - Andrea Dell'Amico

- Status changed from In Progress to Feedback

#5 - May 25, 2015 02:47 PM - Pasquale Pagano

Gp please answer to the request for feedback. 

#6 - May 25, 2015 03:03 PM - Andrea Dell'Amico

- Status changed from Feedback to Closed

- % Done changed from 90 to 100

Gp says that the installation is correctly working.
